edit template
curl --request PUT \
--url https://console.vast.ai/api/v0/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hash_id": "5915f1dc1ce881defb572015eb9d8178",
"desc": "Updated description",
"recommended_disk_space": 16
}
'import requests
url = "https://console.vast.ai/api/v0/template"
payload = {
"hash_id": "5915f1dc1ce881defb572015eb9d8178",
"desc": "Updated description",
"recommended_disk_space": 16
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hash_id: '5915f1dc1ce881defb572015eb9d8178',
desc: 'Updated description',
recommended_disk_space: 16
})
};
fetch('https://console.vast.ai/api/v0/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"template": {
"id": 123,
"hash_id": "<string>"
}
}Templates
edit template
Edits an existing template in place.
Templates are mutable. Use PUT with the template’s hash_id to update it. You only need to include the fields you want to change - unchanged fields retain their existing values.
Note: The template’s hash_id will change after editing (since it’s content-based), but the numeric id stays the same.
For detailed usage, see Creating and Using Templates with API.
CLI Usage: vastai update template <hash_id> [options]
PUT
/
api
/
v0
/
template
edit template
Authorizations
API key must be provided in the Authorization header
Body
application/json
⌘I